DRM_IRQ_UNINSTALL(9)

NAME
drm_irq_uninstall - uninstall the IRQ handler

SYNOPSIS

int drm_irq_uninstall(struct drm_device * dev);

ARGUMENTS

dev
    DRM device

DESCRIPTION

Calls the driver's irq_uninstall function and unregisters the IRQ handler. This should only be called by drivers which used drm_irq_install to set up their interrupt handler. Other drivers must only reset drm_device->irq_enabled to false.

Note that for kernel modesetting drivers it is a bug if this function fails. The sanity checks are only to catch buggy user modesetting drivers which call the same function through an ioctl.

RETURNS

Zero on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT